<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Yaglbean" type="cn.vp.XXX.model.YaglBean"/> -->	
		<typeAlias alias="Yagl" type="cn.im.lqzh.YaglBean"/>
	
	<sql id="condition_Yagl">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKExh'>
			(xh like concat('%',#LIKExh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyabh'>
			(yabh like concat('%',#LIKEyabh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yabh'>
			(yabh = #yabh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyamc'>
			(yamc like concat('%',#LIKEyamc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yamc'>
			(yamc = #yamc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyalx'>
			(yalx like concat('%',#LIKEyalx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yalx'>
			(yalx = #yalx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyadj'>
			(yadj like concat('%',#LIKEyadj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yadj'>
			(yadj = #yadj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyadd'>
			(yadd like concat('%',#LIKEyadd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yadd'>
			(yadd = #yadd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyazt'>
			(yazt like concat('%',#LIKEyazt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yazt'>
			(yazt = #yazt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyjdh'>
			(yjdh like concat('%',#LIKEyjdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yjdh'>
			(yjdh = #yjdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzzh'>
			(zzh like concat('%',#LIKEzzh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zzh'>
			(zzh = #zzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzzhdh'>
			(zzhdh like concat('%',#LIKEzzhdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zzhdh'>
			(zzhdh = #zzhdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEfzh'>
			(fzh like concat('%',#LIKEfzh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='fzh'>
			(fzh = #fzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEfzhdh'>
			(fzhdh like concat('%',#LIKEfzhdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='fzhdh'>
			(fzhdh = #fzhdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbwz'>
			(bwz like concat('%',#LIKEbwz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bwz'>
			(bwz = #bwz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbwzdh'>
			(bwzdh like concat('%',#LIKEbwzdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bwzdh'>
			(bwzdh = #bwzdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEylz'>
			(ylz like concat('%',#LIKEylz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ylz'>
			(ylz = #ylz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEylzdh'>
			(ylzdh like concat('%',#LIKEylzdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ylzdh'>
			(ylzdh = #ylzdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjyz'>
			(jyz like concat('%',#LIKEjyz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jyz'>
			(jyz = #jyz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjyzdh'>
			(jyzdh like concat('%',#LIKEjyzdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jyzdh'>
			(jyzdh = #jyzdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhh'>
			(hh like concat('%',#LIKEhh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hh'>
			(hh = #hh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhphm'>
			(hphm like concat('%',#LIKEhphm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hphm'>
			(hphm = #hphm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbmmc'>
			(bmmc like concat('%',#LIKEbmmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bmmc'>
			(bmmc = #bmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjy'>
			(jy like concat('%',#LIKEjy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jy'>
			(jy = #jy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjwdx'>
			(jwdx like concat('%',#LIKEjwdx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jwdx'>
			(jwdx = #jwdx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKErs'>
			(rs like concat('%',#LIKErs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='rs'>
			(rs = #rs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsxcl'>
			(sxcl like concat('%',#LIKEsxcl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sxcl'>
			(sxcl = #sxcl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEms'>
			(ms like concat('%',#LIKEms# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ms'>
			(ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Yagl" parameterClass="java.util.Map">
		insert into 
		yagl(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='yabh'>yabh</isNotEmpty>
			<isNotEmpty prepend=',' property='yamc'>yamc</isNotEmpty>
			<isNotEmpty prepend=',' property='yalx'>yalx</isNotEmpty>
			<isNotEmpty prepend=',' property='yadj'>yadj</isNotEmpty>
			<isNotEmpty prepend=',' property='yadd'>yadd</isNotEmpty>
			<isNotEmpty prepend=',' property='yazt'>yazt</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdh'>yjdh</isNotEmpty>
			<isNotEmpty prepend=',' property='zzh'>zzh</isNotEmpty>
			<isNotEmpty prepend=',' property='zzhdh'>zzhdh</isNotEmpty>
			<isNotEmpty prepend=',' property='fzh'>fzh</isNotEmpty>
			<isNotEmpty prepend=',' property='fzhdh'>fzhdh</isNotEmpty>
			<isNotEmpty prepend=',' property='bwz'>bwz</isNotEmpty>
			<isNotEmpty prepend=',' property='bwzdh'>bwzdh</isNotEmpty>
			<isNotEmpty prepend=',' property='ylz'>ylz</isNotEmpty>
			<isNotEmpty prepend=',' property='ylzdh'>ylzdh</isNotEmpty>
			<isNotEmpty prepend=',' property='jyz'>jyz</isNotEmpty>
			<isNotEmpty prepend=',' property='jyzdh'>jyzdh</isNotEmpty>
			<isNotEmpty prepend=',' property='hh'>hh</isNotEmpty>
			<isNotEmpty prepend=',' property='hphm'>hphm</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc</isNotEmpty>
			<isNotEmpty prepend=',' property='jy'>jy</isNotEmpty>
			<isNotEmpty prepend=',' property='jwdx'>jwdx</isNotEmpty>
			<isNotEmpty prepend=',' property='rs'>rs</isNotEmpty>
			<isNotEmpty prepend=',' property='sxcl'>sxcl</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yabh'>#yabh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yamc'>#yamc#</isNotEmpty>
			<isNotEmpty prepend=',' property='yalx'>#yalx#</isNotEmpty>
			<isNotEmpty prepend=',' property='yadj'>#yadj#</isNotEmpty>
			<isNotEmpty prepend=',' property='yadd'>#yadd#</isNotEmpty>
			<isNotEmpty prepend=',' property='yazt'>#yazt#</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdh'>#yjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzh'>#zzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzhdh'>#zzhdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fzh'>#fzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fzhdh'>#fzhdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bwz'>#bwz#</isNotEmpty>
			<isNotEmpty prepend=',' property='bwzdh'>#bwzdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ylz'>#ylz#</isNotEmpty>
			<isNotEmpty prepend=',' property='ylzdh'>#ylzdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jyz'>#jyz#</isNotEmpty>
			<isNotEmpty prepend=',' property='jyzdh'>#jyzdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hh'>#hh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hphm'>#hphm#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='jy'>#jy#</isNotEmpty>
			<isNotEmpty prepend=',' property='jwdx'>#jwdx#</isNotEmpty>
			<isNotEmpty prepend=',' property='rs'>#rs#</isNotEmpty>
			<isNotEmpty prepend=',' property='sxcl'>#sxcl#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Yagl" parameterClass="java.util.Map">
		update yagl 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='yabh'>yabh=#yabh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yamc'>yamc=#yamc#</isNotEmpty>
			<isNotEmpty prepend=',' property='yalx'>yalx=#yalx#</isNotEmpty>
			<isNotEmpty prepend=',' property='yadj'>yadj=#yadj#</isNotEmpty>
			<isNotEmpty prepend=',' property='yadd'>yadd=#yadd#</isNotEmpty>
			<isNotEmpty prepend=',' property='yazt'>yazt=#yazt#</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdh'>yjdh=#yjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzh'>zzh=#zzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzhdh'>zzhdh=#zzhdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fzh'>fzh=#fzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fzhdh'>fzhdh=#fzhdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bwz'>bwz=#bwz#</isNotEmpty>
			<isNotEmpty prepend=',' property='bwzdh'>bwzdh=#bwzdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ylz'>ylz=#ylz#</isNotEmpty>
			<isNotEmpty prepend=',' property='ylzdh'>ylzdh=#ylzdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jyz'>jyz=#jyz#</isNotEmpty>
			<isNotEmpty prepend=',' property='jyzdh'>jyzdh=#jyzdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hh'>hh=#hh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hphm'>hphm=#hphm#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc=#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='jy'>jy=#jy#</isNotEmpty>
			<isNotEmpty prepend=',' property='jwdx'>jwdx=#jwdx#</isNotEmpty>
			<isNotEmpty prepend=',' property='rs'>rs=#rs#</isNotEmpty>
			<isNotEmpty prepend=',' property='sxcl'>sxcl=#sxcl#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms=#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND ' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyabh'> yabh = #XGTJyabh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyamc'> yamc = #XGTJyamc# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyalx'> yalx = #XGTJyalx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyadj'> yadj = #XGTJyadj# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyadd'> yadd = #XGTJyadd# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyazt'> yazt = #XGTJyazt# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJyjdh'> yjdh = #XGTJyjdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJzzh'> zzh = #XGTJzzh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJzzhdh'> zzhdh = #XGTJzzhdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJfzh'> fzh = #XGTJfzh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJfzhdh'> fzhdh = #XGTJfzhdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbwz'> bwz = #XGTJbwz# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbwzdh'> bwzdh = #XGTJbwzdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJylz'> ylz = #XGTJylz# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJylzdh'> ylzdh = #XGTJylzdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjyz'> jyz = #XGTJjyz# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjyzdh'> jyzdh = #XGTJjyzdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJhh'> hh = #XGTJhh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJhphm'> hphm = #XGTJhphm# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbmmc'> bmmc = #XGTJbmmc# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjy'> jy = #XGTJjy# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjwdx'> jwdx = #XGTJjwdx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJrs'> rs = #XGTJrs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsxcl'> sxcl = #XGTJsxcl# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJms'> ms = #XGTJms# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Yagl" parameterClass="java.util.Map">
		delete from yagl 
		<include refid="condition_Yagl"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Yagl" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,yabh,yamc,yalx,yadj,yadd,yazt,yjdh,zzh,zzhdh,fzh,fzhdh,bwz,bwzdh,ylz,ylzdh,jyz,jyzdh,hh,hphm,bmmc,jy,jwdx,rs,sxcl,ms,cjry,cjrq,xgry,xgrq,bz
		from yagl 
		<include refid="condition_Yagl"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Yagl" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from yagl 
		<include refid="condition_Yagl"/>			
	</select>
	
</sqlMap>











